Description

When you open the formatting help popup it lacks info about tables. AFAIK with textile markup it is possible to create tables using

markup like that:

|cell|cell|cell|

|another cell|merged cell||

 Output:

cell cell cell

another cell another cell another cell

So as you see it is possible to create tables - too bad that help does not mention it - I needed to look after textile documentation to

get that info. For me it is no problem but I manage Redmine for less technical people and they probably dont even look at help but

strictly at the toolbar - when there is no table icon it means there is no tables. ;)

Related issues:

Related to Redmine - Feature #12734: Add table reference to textile help Closed

Associated revisions

Revision 19561 - 2020-03-04 15:02 - Go MAEDA

Toolbar button to insert a table (#1575).

Patch by Mizuki ISHIKAWA and Hiroyuki ENDO.

History

#1 - 2008-07-04 10:02 - Paul Rivier

I agree, but what would a "table" button insert ? Two '|' ? We would probably need something a bit more evolved for such a button, such as a pop-up

window asking for

number of rows

number of columns

use headers ? (checkbox)

Once the template syntax is inserted, it probably becomes more natural to fill the cells and tweak it by hand.

#2 - 2008-07-04 22:58 - Konrad Kosmowski

Paul Rivier wrote:

I agree, but what would a "table" button insert ?

 It could work like in MS Word or OpenOffice.

#3 - 2008-08-25 14:01 - Jean-Philippe Lang

- Tracker changed from Defect to Feature

#4 - 2015-06-30 04:05 - Go MAEDA
- Related to Feature #12734: Add table reference to textile help added

#5 - 2020-02-13 02:10 - Go MAEDA

- Subject changed from Markup help and toolbars lacks tables to Toolbar button to insert a table

- Category changed from Wiki to Text formatting

- Priority changed from Low to Normal

Since markup help already has information about tables (#12734), I am changing the subject of this issue.

#6 - 2020-02-19 06:31 - Mizuki ISHIKAWA

- File feature-1575.patch added

- File use-table-generator.gif added

The attached patch adds a button to insert a table into the wiki toolbar.

The button create a table with rows / columns according to the selected range.

 use-table-generator.gif 

Markdown:

|A |B |C |D |E |

|--|--|--|--|--|

|  |  |  |  |  |

|  |  |  |  |  |

|  |  |  |  |  |

 Textile:

|_.A|_.B|_.C|_.D|_.E|

|  |  |  |  |  |

|  |  |  |  |  |

|  |  |  |  |  |

 Currently no icon image is set for the button. It is necessary to create a new appropriate icon image.

#7 - 2020-02-19 07:01 - Go MAEDA

- Target version set to Candidate for next major release

#8 - 2020-02-21 07:19 - Hiroyuki ENDO

- File image.png added

I made a new icon image.

#9 - 2020-02-21 07:37 - Mizuki ISHIKAWA

- File use-table-icon.png added

- File 0001-feature-1575-patch-with-table-icon.patch added

Hiroyuki ENDO wrote:

I made a new icon image.

 Thank you for making the icon.

The icon looks very nice!

Screenshot when image.png is applied:
use-table-icon.png 

Updated the patch to use image.png as table button icon.

#10 - 2020-02-21 08:17 - Mizuki ISHIKAWA

- File 0001-feature-1575-patch-with-table-icon.patch added
Fixed a patch.

#11 - 2020-02-26 01:33 - Kevin Fischer

- File Screen Shot 2020-02-26 at 9.27.58 AM.png added

- File Screen Shot 2020-02-26 at 9.32.36 AM.png added

Unfortunately the grid lines of the selection UI are not properly displayed in Firefox.

Chrome:

 Screen Shot 2020-02-26 at 9.32.36 AM.png 

Firefox:

 Screen Shot 2020-02-26 at 9.27.58 AM.png 

This seems to be a long running bug of Firefox though: https://bugzilla.mozilla.org/show_bug.cgi?id=688556

There seem to be workarounds, like using 

background-clip: padding-box;

on the cells... But then it looks a little bit strange on Chrome on the other hand

#12 - 2020-02-26 03:25 - Mizuki ISHIKAWA

- File 0002-Firefox-support.patch added

- File 0003-IE11-support.patch added

Kevin Fischer wrote:

Unfortunately the grid lines of the selection UI are not properly displayed in Firefox.

 Thanks for sharing the information!!

Operation verification on browsers other than Chrome was insufficient.

Since a problem was found not only in Firefox but also in IE11, a patch that solves the problem is attached.

0002-Firefox-support.patch resolves Firefox by removing `td { position: relative; }`.

0003-IE11-support.patch avoids using repeat function that did not work in IE11.

#13 - 2020-02-29 05:53 - Go MAEDA

- Target version changed from Candidate for next major release to 4.2.0

Setting the target version to 4.2.0.

#14 - 2020-03-02 08:17 - Jan from Planio www.plan.io

I really like this patch. Great work!

For the icon, I think famfamfam should be used to stay consistent with the style of other icons in Redmine.

#15 - 2020-03-03 10:55 - Go MAEDA

- File table-icon-1.png added

- File table-icon-2.png added

Jan from Planio www.plan.io wrote:

For the icon, I think famfamfam should be used to stay consistent with the style of other icons in Redmine.

 Thank you for the feedback. I think the suggested table icon is better than famfamfam's table icon because famfamfam's table icon looks like a

document.

The suggested icon:
famfamfam's table icon:

 

#16 - 2020-03-04 02:18 - Mizuki ISHIKAWA

I also prefer image.png.

The famfamfam's icon does not look like a table because each cell is too small to identify.

#17 - 2020-03-04 15:01 - Go MAEDA

- Status changed from New to Closed

- Assignee set to Go MAEDA

- Resolution set to Fixed

Committed the patch. Thank you for improving Redmine.

Files

feature-1575.patch 4.58 KB 2020-02-19 Mizuki ISHIKAWA

use-table-generator.gif 364 KB 2020-02-19 Mizuki ISHIKAWA

image.png 156 Bytes 2020-02-21 Hiroyuki ENDO

use-table-icon.png 46 KB 2020-02-21 Mizuki ISHIKAWA

0001-feature-1575-patch-with-table-icon.patch 5.73 KB 2020-02-21 Mizuki ISHIKAWA

0001-feature-1575-patch-with-table-icon.patch 5.73 KB 2020-02-21 Mizuki ISHIKAWA

Screen Shot 2020-02-26 at 9.27.58 AM.png 31.1 KB 2020-02-26 Kevin Fischer

Screen Shot 2020-02-26 at 9.32.36 AM.png 27.3 KB 2020-02-26 Kevin Fischer

0002-Firefox-support.patch 711 Bytes 2020-02-26 Mizuki ISHIKAWA

0003-IE11-support.patch 1.91 KB 2020-02-26 Mizuki ISHIKAWA

table-icon-1.png 20.3 KB 2020-03-03 Go MAEDA

table-icon-2.png 21.3 KB 2020-03-03 Go MAEDA
